#! /usr/bin/env python

import sys
import os
import subprocess
import exceptions
import errno

helpStr = """
Usage: 
    down rezes all files in the directory ending with @2.png
    
    --help      Prints this help message
"""

if "--help" in sys.argv:
    print helpStr
    exit()
    
#remember the old working directory
old_wd = os.getcwd()

#change the working directory to our path. it helps with our sanity to 
#to know all scripts are being run in the same working directory
curr_wd = os.path.dirname( os.path.abspath( __file__ ) )
os.chdir( curr_wd )

for entry in os.listdir( curr_wd ):
	#ignore source controlled files
	if entry.startswith("."):
		continue
	fullEntry = curr_wd + "/" + entry
	
	if fullEntry.endswith( "@2.png"):
		subprocess.check_call( ["convert", "-resize", "50%", 
										"-type", "TrueColorMatte", 
										"-depth", "8", 
										"-alpha", "Set", 
										fullEntry, "PNG32:"+fullEntry.replace("@2.png", ".png")])
	
		
#restore the old working directory
os.chdir( old_wd )